Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime.examples
Class CreateLargeEncryptedMail

    java.lang.Object
      org.bouncycastle.mail.smime.examples.CreateLargeEncryptedMail

    public class CreateLargeEncryptedMail

extends java.lang.Object

a simple example that creates a single encrypted mail message.

The key store can be created using the class in org.bouncycastle.jce.examples.PKCS12Example - the program expects only one key to be present in the key file.

Note: while this means that both the private key is available to the program, the private key is retrieved from the keystore only for the purposes of locating the corresponding public key, in normal circumstances you would only be doing this with a certificate available.

Constructor Summary
`CreateLargeEncryptedMail()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateLargeEncryptedMail

    public CreateLargeEncryptedMail()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD